Bug 252363 - sysutils/baloo-widgets: Doesn't need DOCS option
Summary: sysutils/baloo-widgets: Doesn't need DOCS option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-03 00:46 UTC by Naram Qashat
Modified: 2021-04-20 10:29 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
Patch kde.mk and baloo-widgets (-p1) (1.39 KB, patch)
2021-04-20 09:59 UTC, Adriaan de Groot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2021-01-03 00:46:29 UTC
The sysutils/baloo-widgets port has the DOCS option explicitly stated in its OPTIONS_DEFINE. However, it does not utilize the option at all. The file contents of the packages with or without the option enabled are identical. The option should ideally be removed.
Comment 1 Tobias C. Berner freebsd_committer 2021-01-03 10:02:46 UTC
Moin moin 

That option is required by the tooling from kde.mk, as ports with CATEGORIES=kde-applications "generally" install documentation, that has been moved there. 
But as you noted, there are some exceptions that now have "empty" documentation options.


mfg Tobias
Comment 2 Naram Qashat 2021-01-04 03:09:44 UTC
If that is the case, should I bother submitting any other bugs about other KDE-related ports that are also like this one, that have DOCS option but no actual docs?
Comment 3 Tobias C. Berner freebsd_committer 2021-01-04 06:20:04 UTC
Moin moin 

I think it would make sense to gather them in to as single PR, like have a list of them. 

Then, we have an overview and can decide what to do 
* nothing (too few to matter)
* something, like making adding PORTDOCS controllable 
* something, like moving DOCS handling completely bakc to ports


it mostly depends on the amount of ports :D 


mfg Tobias
Comment 4 Adriaan de Groot freebsd_committer 2021-04-20 09:59:37 UTC
Created attachment 224287 [details]
Patch kde.mk and baloo-widgets (-p1)

We can let the kde.mk check for an option called DOCS, and enable the portdocs code only if there is one. Needs special handling for empty OPTIONS_DEFINE, like in baloo.
Comment 5 commit-hook freebsd_committer 2021-04-20 10:25:51 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=620d7678c819d85f9236d2e307009a5aca088970

commit 620d7678c819d85f9236d2e307009a5aca088970
Author:     Adriaan de Groot <adridg@FreeBSD.org>
AuthorDate: 2021-04-20 10:22:00 +0000
Commit:     Adriaan de Groot <adridg@FreeBSD.org>
CommitDate: 2021-04-20 10:25:17 +0000

    kde.mk: Support KDE ports with no DOCS

    The kde.mk framework automatically does DOCS for KDE ports --
    but not all of them have documentation, so then you get a
    weird situation of OPTIONS_DEFINE=DOCS in a port that has
    no documentation (e.g. sysutils/baloo-widgets) where the
    option has no effect at all.

    Massage the machinery a little so that the bogus option can
    be dropped; KDE ports with no docs should not define a DOCS
    option any more.

    PR:             252363

 Mk/Uses/kde.mk                  | 7 ++++++-
 sysutils/baloo-widgets/Makefile | 2 --
 2 files changed, 6 insertions(+), 3 deletions(-)
Comment 6 Adriaan de Groot freebsd_committer 2021-04-20 10:29:11 UTC
Naram, please **do** file another PR with a list of KDE ports that have a DOCS option, but no actual docs. It's easy enough to handle now: the DOCS option can simply be removed when it's not relevant.

Closing this PR now it's landed in main.